
require 'vr/vruby'
require 'vr/vrcontrol'

class MyForm < VRForm

  def construct
    self.caption = 'Sample3'
    self.move(100, 100, 150, 160)
    self.addControl(VRButton, 'cmd_exit',  '終了', 20, 20, 100, 40)
    self.addControl(VRButton, 'cmd_raise', '例外', 20, 70, 100, 40)
  end

  def cmd_exit_clicked
    messageBox('終了します。', 'Sample3', 0)
    exit
  end

  def cmd_raise_clicked
    messageBox('例外を発生させます。', 'Sample3', 0)
    raise "これは例外です。\n例外が発生するとダイアログボックスが表示され、プログラムは終了します。"
  end

end

VRLocalScreen.showForm(MyForm)
VRLocalScreen.messageloop
